package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.enums.DimensionEnum;
import com.qmth.teachcloud.common.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 分析-考察点维度表
 * </p>
 *
 * @author wangliang
 * @since 2022-05-20
 */
@ApiModel(value="GradePaperDimension对象", description="分析-考察点维度表")
public class GradePaperDimension extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "试卷类型")
    private String paperType;

    @ApiModelProperty(value = "试卷名称")
    private String paperName;

    @ApiModelProperty(value = "维度类型 - 知识，能力，素养")
    private DimensionEnum dimensionType;

    @ApiModelProperty(value = "一级维度编号")
    private String codePrimary;

    @ApiModelProperty(value = "一级维度名称")
    private String namePrimary;

    @ApiModelProperty(value = "二级维度编号")
    private String codeSecond;

    @ApiModelProperty(value = "二级维度名称")
    private String nameSecond;

    @ApiModelProperty(value = "一级维度术语解释")
    private String interpretation;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getPaperName() {
        return paperName;
    }

    public void setPaperName(String paperName) {
        this.paperName = paperName;
    }

    public DimensionEnum getDimensionType() {
        return dimensionType;
    }

    public void setDimensionType(DimensionEnum dimensionType) {
        this.dimensionType = dimensionType;
    }

    public String getCodePrimary() {
        return codePrimary;
    }

    public void setCodePrimary(String codePrimary) {
        this.codePrimary = codePrimary;
    }

    public String getNamePrimary() {
        return namePrimary;
    }

    public void setNamePrimary(String namePrimary) {
        this.namePrimary = namePrimary;
    }

    public String getCodeSecond() {
        return codeSecond;
    }

    public void setCodeSecond(String codeSecond) {
        this.codeSecond = codeSecond;
    }

    public String getNameSecond() {
        return nameSecond;
    }

    public void setNameSecond(String nameSecond) {
        this.nameSecond = nameSecond;
    }

    public String getInterpretation() {
        return interpretation;
    }

    public void setInterpretation(String interpretation) {
        this.interpretation = interpretation;
    }
}
